(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     62511,       1556]
NotebookOptionsPosition[     60929,       1497]
NotebookOutlinePosition[     61286,       1513]
CellTagsIndexPosition[     61243,       1510]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Tangent", "[", 
    RowBox[{"f_", ",", "k_", ",", " ", "a_"}], "]"}], ":=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", "k", "]"}], "+", 
      RowBox[{
       RowBox[{
        RowBox[{"f", "'"}], "[", "k", "]"}], 
       RowBox[{"(", 
        RowBox[{"x", "-", "k"}], ")"}]}]}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"k", "-", "a"}], ",", " ", 
       RowBox[{"k", "+", "a"}]}], "}"}], ",", "  ", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"f", "[", "k", "]"}], "-", "a"}], ",", 
        RowBox[{
         RowBox[{"f", "[", "k", "]"}], "+", "a"}]}], "}"}]}], ",", " ", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"f", "[", "k", "]"}]}], "}"}]}], ",", " ", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}], " ", 
  ";"}]], "Input",
 CellChangeTimes->{{3.589388926417182*^9, 3.58938905187323*^9}, {
   3.589389149960513*^9, 3.58938929111688*^9}, 3.5893894666456738`*^9, {
   3.5893895732955914`*^9, 3.589389591469656*^9}, {3.589389641572229*^9, 
   3.58938985647219*^9}, {3.5893898879022284`*^9, 3.589389889908519*^9}, {
   3.589406577871449*^9, 3.589406590990881*^9}, {3.589411209024006*^9, 
   3.589411228562853*^9}, {3.589411274678615*^9, 3.589411347670991*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], "=", 
   RowBox[{"x", "^", "2"}]}], ";", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"f", "[", "x", "]"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", 
         RowBox[{"k", "-", "a"}], ",", 
         RowBox[{"k", "+", " ", "a"}]}], "}"}], ",", " ", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"f", "[", "k", "]"}], "-", "a"}], ",", 
          RowBox[{
           RowBox[{"f", "[", "k", "]"}], "+", " ", "a"}]}], "}"}]}], ",", " ", 
       RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"f", "[", "k", "]"}]}], "}"}]}]}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", " ", "4", ",", " ", "0"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"k", ",", " ", "0", ",", " ", "5"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.589388467663525*^9, 3.589388474868753*^9}, {
   3.589389073480094*^9, 3.589389116575354*^9}, {3.589389311286522*^9, 
   3.589389347629376*^9}, 3.589389997009688*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 4., $CellContext`k$$ = 0., 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`a$$], 4, 0}, {
      Hold[$CellContext`k$$], 0, 5}}, Typeset`size$$ = {360., {114., 119.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$147017$$ = 0, $CellContext`k$147018$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 4, $CellContext`k$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$147017$$, 0], 
        Hold[$CellContext`k$$, $CellContext`k$147018$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         $CellContext`f[$CellContext`x], {$CellContext`x, $CellContext`k$$ - \
$CellContext`a$$, $CellContext`k$$ + $CellContext`a$$}, 
         PlotRange -> {$CellContext`f[$CellContext`k$$] - $CellContext`a$$, \
$CellContext`f[$CellContext`k$$] + $CellContext`a$$}, Axes -> True, 
         AxesOrigin -> {$CellContext`k$$, 
           $CellContext`f[$CellContext`k$$]}], 
        $CellContext`Tangent[$CellContext`f, $CellContext`k$$, \
$CellContext`a$$]], 
      "Specifications" :> {{$CellContext`a$$, 4, 0}, {$CellContext`k$$, 0, 
         5}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {172., 177.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.589389118230706*^9, 3.58938919476754*^9, 
  3.589389296923552*^9, 3.589389348826351*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", "x_", "]"}], "=", 
   RowBox[{"Sin", "[", "x", "]"}]}], ";", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"g", "[", "x", "]"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", 
         RowBox[{"k", "-", "a"}], ",", 
         RowBox[{"k", "+", " ", "a"}]}], "}"}], ",", " ", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"g", "[", "k", "]"}], "-", "a"}], ",", 
          RowBox[{
           RowBox[{"g", "[", "k", "]"}], "+", " ", "a"}]}], "}"}]}], ",", " ", 
       RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"g", "[", "k", "]"}]}], "}"}]}]}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", " ", "4", ",", " ", "0"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"k", ",", " ", "0", ",", " ", "5"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.589388613194957*^9, 3.589388621226583*^9}, {
   3.58938947710388*^9, 3.589389481932489*^9}, 3.58939000522402*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 2.93, $CellContext`k$$ = 
    2.0300000000000002`, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`a$$], 4, 0}, {
      Hold[$CellContext`k$$], 0, 5}}, Typeset`size$$ = {360., {110., 114.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$160870$$ = 0, $CellContext`k$160871$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 4, $CellContext`k$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$160870$$, 0], 
        Hold[$CellContext`k$$, $CellContext`k$160871$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         $CellContext`g[$CellContext`x], {$CellContext`x, $CellContext`k$$ - \
$CellContext`a$$, $CellContext`k$$ + $CellContext`a$$}, 
         PlotRange -> {$CellContext`g[$CellContext`k$$] - $CellContext`a$$, \
$CellContext`g[$CellContext`k$$] + $CellContext`a$$}, Axes -> True, 
         AxesOrigin -> {$CellContext`k$$, 
           $CellContext`g[$CellContext`k$$]}], 
        $CellContext`Tangent[$CellContext`g, $CellContext`k$$, \
$CellContext`a$$]], 
      "Specifications" :> {{$CellContext`a$$, 4, 0}, {$CellContext`k$$, 0, 
         5}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {168., 173.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.589388777957185*^9, 3.589389915103594*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"l", "[", "x_", "]"}], "=", 
   RowBox[{"Abs", "[", "x", "]"}]}], ";", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"l", "[", "x", "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"k", "-", "a"}], ",", 
          RowBox[{"k", "+", " ", "a"}]}], "}"}], ",", " ", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"l", "[", "k", "]"}], "-", "a"}], ",", 
           RowBox[{
            RowBox[{"l", "[", "k", "]"}], "+", " ", "a"}]}], "}"}]}], ",", 
        " ", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
        RowBox[{"AxesOrigin", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"l", "[", "k", "]"}]}], "}"}]}]}], "]"}], ",", " ", 
      RowBox[{"Tangent", "[", 
       RowBox[{"l", ",", "k", ",", "a"}], "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", " ", "4", ",", " ", "0"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"k", ",", " ", "0", ",", " ", "5"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.589387021239727*^9, {3.589387102772882*^9, 3.5893871491229973`*^9}, {
   3.589387184348091*^9, 3.589387306645563*^9}, {3.589387345305461*^9, 
   3.589387378088462*^9}, {3.58938743058185*^9, 3.589387519579391*^9}, {
   3.589387564654241*^9, 3.589387636639296*^9}, {3.589387687225802*^9, 
   3.589387696134033*^9}, {3.5893877325216417`*^9, 3.589387774668952*^9}, {
   3.589387813894528*^9, 3.5893878451961393`*^9}, {3.5893879840763693`*^9, 
   3.589388025875543*^9}, {3.589388067669079*^9, 3.589388108974078*^9}, {
   3.58938852584929*^9, 3.589388547691143*^9}, {3.589388627705984*^9, 
   3.589388662096341*^9}, {3.589389489948928*^9, 3.589389496477054*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 4., $CellContext`k$$ = 0.81, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`a$$], 4, 0}, {
      Hold[$CellContext`k$$], 0, 5}}, Typeset`size$$ = {360., {109., 113.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$149256$$ = 0, $CellContext`k$149257$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 4, $CellContext`k$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$149256$$, 0], 
        Hold[$CellContext`k$$, $CellContext`k$149257$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         $CellContext`l[$CellContext`x], {$CellContext`x, $CellContext`k$$ - \
$CellContext`a$$, $CellContext`k$$ + $CellContext`a$$}, 
         PlotRange -> {$CellContext`l[$CellContext`k$$] - $CellContext`a$$, \
$CellContext`l[$CellContext`k$$] + $CellContext`a$$}, Axes -> True, 
         AxesOrigin -> {$CellContext`k$$, 
           $CellContext`l[$CellContext`k$$]}], 
        $CellContext`Tangent[$CellContext`l, $CellContext`k$$, \
$CellContext`a$$]], 
      "Specifications" :> {{$CellContext`a$$, 4, 0}, {$CellContext`k$$, 0, 
         5}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {167., 172.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.589388874704176*^9, 3.589389498364593*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"h", "[", "x_", "]"}], "=", 
   RowBox[{"Abs", "[", 
    RowBox[{"Sin", "[", "x", "]"}], "]"}]}], ";", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"h", "[", "x", "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"k", "-", "a"}], ",", 
          RowBox[{"k", "+", " ", "a"}]}], "}"}], ",", " ", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"h", "[", "k", "]"}], "-", "a"}], ",", 
           RowBox[{
            RowBox[{"h", "[", "k", "]"}], "+", " ", "a"}]}], "}"}]}], ",", 
        " ", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
        RowBox[{"AxesOrigin", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"h", "[", "k", "]"}]}], "}"}]}]}], "]"}], ",", " ", 
      RowBox[{"Tangent", "[", 
       RowBox[{"h", ",", "k", ",", "a"}], "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", " ", "4", ",", " ", "0"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"k", ",", " ", "0", ",", " ", "5"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.589388562682002*^9, 3.5893885856327057`*^9}, {
  3.5893895204392557`*^9, 3.5893895282026787`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 4, $CellContext`k$$ = 0, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`a$$], 4, 0}, {
      Hold[$CellContext`k$$], 0, 5}}, Typeset`size$$ = {360., {114., 119.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$157987$$ = 0, $CellContext`k$157988$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 4, $CellContext`k$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$157987$$, 0], 
        Hold[$CellContext`k$$, $CellContext`k$157988$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         $CellContext`h[$CellContext`x], {$CellContext`x, $CellContext`k$$ - \
$CellContext`a$$, $CellContext`k$$ + $CellContext`a$$}, 
         PlotRange -> {$CellContext`h[$CellContext`k$$] - $CellContext`a$$, \
$CellContext`h[$CellContext`k$$] + $CellContext`a$$}, Axes -> True, 
         AxesOrigin -> {$CellContext`k$$, 
           $CellContext`h[$CellContext`k$$]}], 
        $CellContext`Tangent[$CellContext`h, $CellContext`k$$, \
$CellContext`a$$]], 
      "Specifications" :> {{$CellContext`a$$, 4, 0}, {$CellContext`k$$, 0, 
         5}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {172., 177.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.5893888130340137`*^9, 3.589388849929021*^9, {3.5893895291766653`*^9, 
   3.589389540749803*^9}, 3.589389673250414*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], "=", 
   RowBox[{"x", "^", "2"}]}], ";", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"f", "[", "x", "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"k", "-", "a"}], ",", 
          RowBox[{"k", "+", " ", "a"}]}], "}"}], ",", " ", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"f", "[", "k", "]"}], "-", "a"}], ",", 
           RowBox[{
            RowBox[{"f", "[", "k", "]"}], "+", " ", "a"}]}], "}"}]}], ",", 
        " ", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
        RowBox[{"AxesOrigin", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"f", "[", "k", "]"}]}], "}"}]}]}], "]"}], ",", 
      RowBox[{"Tangent", "[", 
       RowBox[{"f", ",", "k", ",", "a"}], "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", " ", "4", ",", " ", "0"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"k", ",", " ", "0", ",", " ", "5"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.5893899450397587`*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.46, $CellContext`k$$ = 1.05, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`a$$], 4, 0}, {
      Hold[$CellContext`k$$], 0, 5}}, Typeset`size$$ = {360., {109., 114.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$165143$$ = 0, $CellContext`k$165144$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 4, $CellContext`k$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$165143$$, 0], 
        Hold[$CellContext`k$$, $CellContext`k$165144$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         $CellContext`f[$CellContext`x], {$CellContext`x, $CellContext`k$$ - \
$CellContext`a$$, $CellContext`k$$ + $CellContext`a$$}, 
         PlotRange -> {$CellContext`f[$CellContext`k$$] - $CellContext`a$$, \
$CellContext`f[$CellContext`k$$] + $CellContext`a$$}, Axes -> True, 
         AxesOrigin -> {$CellContext`k$$, 
           $CellContext`f[$CellContext`k$$]}], 
        $CellContext`Tangent[$CellContext`f, $CellContext`k$$, \
$CellContext`a$$]], 
      "Specifications" :> {{$CellContext`a$$, 4, 0}, {$CellContext`k$$, 0, 
         5}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {167., 172.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.589389972512742*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", "x_", "]"}], "=", 
   RowBox[{"Sin", "[", "x", "]"}]}], ";", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"g", "[", "x", "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"k", "-", "a"}], ",", 
          RowBox[{"k", "+", " ", "a"}]}], "}"}], ",", " ", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"g", "[", "k", "]"}], "-", "a"}], ",", 
           RowBox[{
            RowBox[{"g", "[", "k", "]"}], "+", " ", "a"}]}], "}"}]}], ",", 
        " ", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
        RowBox[{"AxesOrigin", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"g", "[", "k", "]"}]}], "}"}]}]}], "]"}], ",", " ", 
      RowBox[{"Tangent", "[", 
       RowBox[{"g", ",", "k", ",", "a"}], "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", " ", "4", ",", " ", "0"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"k", ",", " ", "0", ",", " ", "5"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.589389964280343*^9, {3.589403785121029*^9, 3.589403810294938*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 4, $CellContext`k$$ = 0, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`a$$], 4, 0}, {
      Hold[$CellContext`k$$], 0, 5}}, Typeset`size$$ = {360., {114., 119.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$165019$$ = 0, $CellContext`k$165020$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 4, $CellContext`k$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$165019$$, 0], 
        Hold[$CellContext`k$$, $CellContext`k$165020$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         $CellContext`g[$CellContext`x], {$CellContext`x, $CellContext`k$$ - \
$CellContext`a$$, $CellContext`k$$ + $CellContext`a$$}, 
         PlotRange -> {$CellContext`g[$CellContext`k$$] - $CellContext`a$$, \
$CellContext`g[$CellContext`k$$] + $CellContext`a$$}, Axes -> True, 
         AxesOrigin -> {$CellContext`k$$, 
           $CellContext`g[$CellContext`k$$]}], 
        $CellContext`Tangent[$CellContext`g, $CellContext`k$$, \
$CellContext`a$$]], 
      "Specifications" :> {{$CellContext`a$$, 4, 0}, {$CellContext`k$$, 0, 
         5}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {172., 177.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.589389969134798*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"m", "[", "x_", "]"}], "=", 
   RowBox[{"x", "^", 
    RowBox[{"(", 
     RowBox[{"1", "/", "3"}], ")"}]}]}], ";", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"m", "[", "x", "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"27", "-", "a"}], ",", 
          RowBox[{"27", "+", " ", "a"}]}], "}"}], ",", " ", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"m", "[", "27", "]"}], "-", "a"}], ",", 
           RowBox[{
            RowBox[{"m", "[", "27", "]"}], "+", " ", "a"}]}], "}"}]}], ",", 
        " ", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
        RowBox[{"AxesOrigin", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"27", ",", 
           RowBox[{"m", "[", "27", "]"}]}], "}"}]}]}], "]"}], ",", " ", 
      RowBox[{"Tangent", "[", 
       RowBox[{"m", ",", "27", ",", "a"}], "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", " ", "30", ",", " ", "0"}], "}"}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.58940372472159*^9, 3.589403755528212*^9}, 
   3.589403815593588*^9, {3.589403869447035*^9, 3.589403967510358*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.01, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`a$$], 30, 0}}, Typeset`size$$ = {360., {110., 114.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$175540$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`a$$ = 30}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$175540$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         $CellContext`m[$CellContext`x], {$CellContext`x, 
          27 - $CellContext`a$$, 27 + $CellContext`a$$}, 
         PlotRange -> {$CellContext`m[27] - $CellContext`a$$, $CellContext`m[
            27] + $CellContext`a$$}, Axes -> True, AxesOrigin -> {27, 
           $CellContext`m[27]}], 
        $CellContext`Tangent[$CellContext`m, 27, $CellContext`a$$]], 
      "Specifications" :> {{$CellContext`a$$, 30, 0}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{405., {154., 159.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.589404026503924*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"LineDelta", "[", 
    RowBox[{"f_", ",", "k_", ",", " ", "a_"}], "]"}], ":=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"k", " ", "+", " ", 
         RowBox[{"a", "/", "2"}]}], ",", " ", 
        RowBox[{"f", "[", 
         RowBox[{"k", " ", "+", " ", 
          RowBox[{"a", "/", "2"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"k", " ", "+", " ", 
         RowBox[{"a", "/", "2"}]}], ",", " ", 
        RowBox[{"f", "[", "k", "]"}]}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LineDeltax", "[", 
    RowBox[{"f_", ",", "k_", ",", " ", "a_"}], "]"}], ":=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"k", " ", "+", " ", 
         RowBox[{"a", "/", "2"}]}], ",", " ", 
        RowBox[{"f", "[", "k", " ", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", " ", ",", " ", 
        RowBox[{"f", "[", "k", "]"}]}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LineD", "[", 
   RowBox[{"f_", ",", "k_", ",", " ", "a_"}], "]"}], ":=", 
  RowBox[{"Line", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", " ", "+", " ", 
        RowBox[{"a", "/", "2"}], "+", 
        RowBox[{"a", "/", "50"}]}], ",", 
       RowBox[{
        RowBox[{"f", "[", "k", "]"}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"f", "'"}], "[", "k", "]"}], 
         RowBox[{"(", 
          RowBox[{"a", "/", "2"}], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", " ", "+", " ", 
        RowBox[{"a", "/", "2"}], "+", 
        RowBox[{"a", "/", "50"}]}], ",", " ", 
       RowBox[{"f", "[", "k", "]"}]}], "}"}]}], "}"}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5894043478128757`*^9, 3.5894045231072083`*^9}, {
  3.589404558652487*^9, 3.5894046049970827`*^9}, {3.589405260240141*^9, 
  3.589405296688747*^9}, {3.589405410507715*^9, 3.589405425858231*^9}, {
  3.5894055296630583`*^9, 3.589405555869092*^9}, {3.589405713365542*^9, 
  3.589405715347197*^9}, {3.5894060959857492`*^9, 3.589406129226533*^9}, {
  3.5894062932560062`*^9, 3.589406338220636*^9}, {3.589406393137383*^9, 
  3.5894063975512466`*^9}, {3.589406437354619*^9, 3.5894064685797873`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", "x_", "]"}], "=", 
   RowBox[{"Sin", "[", "x", "]"}]}], ";", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"g", "[", "x", "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"k", "-", "a"}], ",", 
          RowBox[{"k", "+", " ", "a"}]}], "}"}], ",", " ", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"g", "[", "k", "]"}], "-", "a"}], ",", 
           RowBox[{
            RowBox[{"g", "[", "k", "]"}], "+", " ", "a"}]}], "}"}]}], ",", 
        " ", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
        RowBox[{"AxesOrigin", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"g", "[", "k", "]"}]}], "}"}]}], ",", " ", 
        RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], ",", " ", 
      RowBox[{"Tangent", "[", 
       RowBox[{"g", ",", "k", ",", "a"}], "]"}], ",", " ", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Red", ",", " ", 
         RowBox[{"LineDelta", "[", 
          RowBox[{"g", ",", " ", "k", ",", " ", "a"}], "]"}]}], "}"}], "]"}], 
      ",", " ", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"{", "\"\<\!\(\*
StyleBox[\"(\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"a\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\",\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\" \",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"f\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"(\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"a\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\")\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\")\",
FontColor->GrayLevel[0]]\)\>\"", "}"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"k", "+", 
             RowBox[{
              RowBox[{"(", ".1", ")"}], "*", "a"}]}], ",", 
            RowBox[{
             RowBox[{"g", "[", "k", "]"}], "+", 
             RowBox[{"a", "*", 
              RowBox[{"(", " ", 
               RowBox[{"-", ".1"}], ")"}]}]}]}], "}"}]}], "]"}], "}"}], "]"}],
       ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\!\(\*
StyleBox[\"dy\",
FontColor->RGBColor[0.6, 0.4, 0.2]]\)\>\"", ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"k", "+", 
             RowBox[{
              RowBox[{"(", ".6", ")"}], "*", "a"}]}], ",", 
            RowBox[{
             RowBox[{"g", "[", "k", "]"}], "+", " ", 
             RowBox[{
              RowBox[{
               RowBox[{"g", "'"}], "[", "k", "]"}], 
              RowBox[{"a", "/", "2"}], "*", 
              RowBox[{"(", " ", ".8", ")"}]}]}]}], "}"}]}], "]"}], "}"}], 
       "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\!\(\*
StyleBox[\"\[CapitalDelta]y\",
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"k", " ", "+", 
             RowBox[{
              RowBox[{"(", ".45", ")"}], "*", "a"}]}], ",", 
            RowBox[{
             RowBox[{"g", "[", "k", "]"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"g", "[", 
                 RowBox[{"k", "+", 
                  RowBox[{"a", "/", "2"}]}], "]"}], "-", 
                RowBox[{"g", "[", "k", "]"}]}], ")"}], "*", 
              RowBox[{"(", " ", ".5", ")"}]}]}]}], "}"}]}], "]"}], "}"}], 
       "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\!\(\*
StyleBox[\"\[CapitalDelta]x\",
FontColor->RGBColor[0, 0, 1]]\)\>\"", ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"k", "+", 
             RowBox[{
              RowBox[{"(", ".30", ")"}], "*", "a"}]}], ",", 
            RowBox[{
             RowBox[{"g", "[", "k", "]"}], "+", 
             RowBox[{"a", "*", 
              RowBox[{"(", " ", ".05", ")"}]}]}]}], "}"}]}], "]"}], "}"}], 
       "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Blue", ",", " ", 
         RowBox[{"LineDeltax", "[", 
          RowBox[{"g", ",", " ", "k", ",", " ", "a"}], "]"}]}], "}"}], "]"}], 
      ",", " ", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Brown", ",", "Dashed", ",", "  ", 
         RowBox[{"LineD", "[", 
          RowBox[{"g", ",", " ", "k", ",", " ", "a"}], "]"}]}], "}"}], 
       "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", " ", "4", ",", " ", "0"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"k", ",", " ", "0", ",", " ", "5"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.5894058316478167`*^9, {3.589405873328949*^9, 3.5894059305449963`*^9}, {
   3.589406146147811*^9, 3.589406245180873*^9}, {3.589406487669222*^9, 
   3.589406557160219*^9}, {3.589407100078916*^9, 3.589407104024506*^9}, {
   3.589407152905386*^9, 3.589407250775032*^9}, {3.589407346474189*^9, 
   3.589407381361191*^9}, {3.5894074190281973`*^9, 3.589407439027006*^9}, {
   3.5894075563204737`*^9, 3.589407607471323*^9}, {3.589407638488859*^9, 
   3.589407641007378*^9}, 3.589407685261593*^9, {3.589407721655447*^9, 
   3.589407731853355*^9}, {3.58940776245863*^9, 3.589407790050056*^9}, {
   3.589407897271577*^9, 3.589407982421933*^9}, {3.589408027166792*^9, 
   3.589408029991232*^9}, {3.589408088464484*^9, 3.589408090649231*^9}, {
   3.589408139073765*^9, 3.589408153816083*^9}, {3.589408185345005*^9, 
   3.589408342091083*^9}, {3.589408450861479*^9, 3.58940845166826*^9}, {
   3.5894084863899*^9, 3.589408499019661*^9}, {3.58940853630721*^9, 
   3.589408653445668*^9}, {3.5894086983674583`*^9, 3.589408718789171*^9}, {
   3.589408795945322*^9, 3.5894088294016943`*^9}, {3.589408897701644*^9, 
   3.589408912314633*^9}, {3.589409500851314*^9, 3.5894095097437773`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 4, $CellContext`k$$ = 5., 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`a$$], 4, 0}, {
      Hold[$CellContext`k$$], 0, 5}}, Typeset`size$$ = {360., {109., 114.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$339295$$ = 0, $CellContext`k$339296$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 4, $CellContext`k$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$339295$$, 0], 
        Hold[$CellContext`k$$, $CellContext`k$339296$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         $CellContext`g[$CellContext`x], {$CellContext`x, $CellContext`k$$ - \
$CellContext`a$$, $CellContext`k$$ + $CellContext`a$$}, 
         PlotRange -> {$CellContext`g[$CellContext`k$$] - $CellContext`a$$, \
$CellContext`g[$CellContext`k$$] + $CellContext`a$$}, Axes -> True, 
         AxesOrigin -> {$CellContext`k$$, 
           $CellContext`g[$CellContext`k$$]}, PlotStyle -> Black], 
        $CellContext`Tangent[$CellContext`g, $CellContext`k$$, \
$CellContext`a$$], 
        Graphics[{Thick, Red, 
          $CellContext`LineDelta[$CellContext`g, $CellContext`k$$, \
$CellContext`a$$]}], 
        Graphics[{
          
          Text[{"\!\(\*\nStyleBox[\"(\",\nFontColor->GrayLevel[0]]\)\!\(\*\n\
StyleBox[\"a\",\nFontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\",\",\n\
FontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\" \",\nFontColor->GrayLevel[0]]\)\
\!\(\*\nStyleBox[\"f\",\nFontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\"(\",\n\
FontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\"a\",\nFontColor->GrayLevel[0]]\)\
\!\(\*\nStyleBox[\")\",\nFontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\")\",\n\
FontColor->GrayLevel[0]]\)"}, {$CellContext`k$$ + 
            0.1 $CellContext`a$$, $CellContext`g[$CellContext`k$$] + \
$CellContext`a$$ (-0.1)}]}], 
        Graphics[{
          Text[
          "\!\(\*\nStyleBox[\"dy\",\nFontColor->RGBColor[0.6, 0.4, 0.2]]\)", \
{$CellContext`k$$ + 
            0.6 $CellContext`a$$, $CellContext`g[$CellContext`k$$] + (
              Derivative[
               1][$CellContext`g][$CellContext`k$$] ($CellContext`a$$/2)) 
             0.8}]}], 
        Graphics[{
          Text[
          "\!\(\*\nStyleBox[\"\[CapitalDelta]y\",\nFontColor->RGBColor[1, 0, \
0]]\)", {$CellContext`k$$ + 
            0.45 $CellContext`a$$, $CellContext`g[$CellContext`k$$] + \
($CellContext`g[$CellContext`k$$ + $CellContext`a$$/
                 2] - $CellContext`g[$CellContext`k$$]) 0.5}]}], 
        Graphics[{
          Text[
          "\!\(\*\nStyleBox[\"\[CapitalDelta]x\",\nFontColor->RGBColor[0, 0, \
1]]\)", {$CellContext`k$$ + 
            0.3 $CellContext`a$$, $CellContext`g[$CellContext`k$$] + \
$CellContext`a$$ 0.05}]}], 
        Graphics[{Thick, Blue, 
          $CellContext`LineDeltax[$CellContext`g, $CellContext`k$$, \
$CellContext`a$$]}], 
        Graphics[{Thick, Brown, Dashed, 
          $CellContext`LineD[$CellContext`g, $CellContext`k$$, \
$CellContext`a$$]}]], 
      "Specifications" :> {{$CellContext`a$$, 4, 0}, {$CellContext`k$$, 0, 
         5}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {167., 172.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.589407776148387*^9, 3.5894077928600903`*^9}, 
   3.589407827702409*^9, {3.589407903119172*^9, 3.5894079194232407`*^9}, {
   3.589407960095306*^9, 3.58940798343189*^9}, {3.5894081562344637`*^9, 
   3.589408217424062*^9}, {3.5894082806200542`*^9, 3.589408322923788*^9}, 
   3.589408452908238*^9, 3.589408500287681*^9, {3.589408549975576*^9, 
   3.589408568902463*^9}, {3.589408647332478*^9, 3.589408654377775*^9}, 
   3.5894087199909887`*^9, {3.5894087877191467`*^9, 3.589408830826977*^9}, {
   3.589408899180842*^9, 3.589408916454418*^9}, 3.589409510932873*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"n", "[", "x_", "]"}], "=", 
   RowBox[{"Cos", "[", "x", "]"}]}], ";", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"n", "[", "x", "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"k", "-", "a"}], ",", 
          RowBox[{"k", "+", " ", "a"}]}], "}"}], ",", " ", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"n", "[", "k", "]"}], "-", "a"}], ",", 
           RowBox[{
            RowBox[{"n", "[", "k", "]"}], "+", " ", "a"}]}], "}"}]}], ",", 
        " ", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
        RowBox[{"AxesOrigin", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"n", "[", "k", "]"}]}], "}"}]}], ",", " ", 
        RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], ",", " ", 
      RowBox[{"Tangent", "[", 
       RowBox[{"n", ",", "k", ",", "a"}], "]"}], ",", " ", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Red", ",", " ", 
         RowBox[{"LineDelta", "[", 
          RowBox[{"n", ",", " ", "k", ",", " ", "a"}], "]"}]}], "}"}], "]"}], 
      ",", " ", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"{", "\"\<\!\(\*
StyleBox[\"(\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"k\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\",\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\" \",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"n\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"(\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"k\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\")\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\")\",
FontColor->GrayLevel[0]]\)\>\"", "}"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"k", "+", 
             RowBox[{
              RowBox[{"(", ".1", ")"}], "*", "a"}]}], ",", 
            RowBox[{
             RowBox[{"n", "[", "k", "]"}], "+", 
             RowBox[{"a", "*", 
              RowBox[{"(", " ", 
               RowBox[{"-", ".1"}], ")"}]}]}]}], "}"}]}], "]"}], "}"}], "]"}],
       ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\!\(\*
StyleBox[\"dy\",
FontColor->RGBColor[0.6, 0.4, 0.2]]\)\>\"", ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"k", "+", 
             RowBox[{
              RowBox[{"(", ".6", ")"}], "*", "a"}]}], ",", 
            RowBox[{
             RowBox[{"n", "[", "k", "]"}], "+", " ", 
             RowBox[{
              RowBox[{
               RowBox[{"n", "'"}], "[", "k", "]"}], 
              RowBox[{"a", "/", "2"}], "*", 
              RowBox[{"(", " ", ".8", ")"}]}]}]}], "}"}]}], "]"}], "}"}], 
       "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\!\(\*
StyleBox[\"\[CapitalDelta]y\",
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"k", " ", "+", 
             RowBox[{
              RowBox[{"(", ".45", ")"}], "*", "a"}]}], ",", 
            RowBox[{
             RowBox[{"n", "[", "k", "]"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"n", "[", 
                 RowBox[{"k", "+", 
                  RowBox[{"a", "/", "2"}]}], "]"}], "-", 
                RowBox[{"n", "[", "k", "]"}]}], ")"}], "/", "2"}]}]}], 
           "}"}]}], "]"}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\!\(\*
StyleBox[\"\[CapitalDelta]x\",
FontColor->RGBColor[0, 0, 1]]\)\>\"", ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"k", "+", 
             RowBox[{
              RowBox[{"(", ".30", ")"}], "*", "a"}]}], ",", 
            RowBox[{
             RowBox[{"n", "[", "k", "]"}], "+", 
             RowBox[{"a", "*", 
              RowBox[{"(", " ", ".05", ")"}]}]}]}], "}"}]}], "]"}], "}"}], 
       "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Blue", ",", " ", 
         RowBox[{"LineDeltax", "[", 
          RowBox[{"n", ",", " ", "k", ",", " ", "a"}], "]"}]}], "}"}], "]"}], 
      ",", " ", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Brown", ",", "Dashed", ",", "  ", 
         RowBox[{"LineD", "[", 
          RowBox[{"n", ",", " ", "k", ",", " ", "a"}], "]"}]}], "}"}], 
       "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", " ", "3", ",", " ", "0"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"k", ",", " ", "0", ",", " ", "5"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.58940898003371*^9, 3.589409085358881*^9}, {
  3.58940920130972*^9, 3.5894092094964247`*^9}, {3.589409379464655*^9, 
  3.5894093846376*^9}, {3.589409471617599*^9, 3.5894094822757072`*^9}, {
  3.589409546283821*^9, 3.589409557830323*^9}, {3.589409591164049*^9, 
  3.589409610538809*^9}, {3.58940969556708*^9, 3.589409786375875*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 3., $CellContext`k$$ = 0., 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`a$$], 3, 0}, {
      Hold[$CellContext`k$$], 0, 5}}, Typeset`size$$ = {360., {114., 119.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$388178$$ = 0, $CellContext`k$388179$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 3, $CellContext`k$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$388178$$, 0], 
        Hold[$CellContext`k$$, $CellContext`k$388179$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         $CellContext`n[$CellContext`x], {$CellContext`x, $CellContext`k$$ - \
$CellContext`a$$, $CellContext`k$$ + $CellContext`a$$}, 
         PlotRange -> {$CellContext`n[$CellContext`k$$] - $CellContext`a$$, \
$CellContext`n[$CellContext`k$$] + $CellContext`a$$}, Axes -> True, 
         AxesOrigin -> {$CellContext`k$$, 
           $CellContext`n[$CellContext`k$$]}, PlotStyle -> Black], 
        $CellContext`Tangent[$CellContext`n, $CellContext`k$$, \
$CellContext`a$$], 
        Graphics[{Thick, Red, 
          $CellContext`LineDelta[$CellContext`n, $CellContext`k$$, \
$CellContext`a$$]}], 
        Graphics[{
          
          Text[{"\!\(\*\nStyleBox[\"(\",\nFontColor->GrayLevel[0]]\)\!\(\*\n\
StyleBox[\"k\",\nFontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\",\",\n\
FontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\" \",\nFontColor->GrayLevel[0]]\)\
\!\(\*\nStyleBox[\"n\",\nFontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\"(\",\n\
FontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\"k\",\nFontColor->GrayLevel[0]]\)\
\!\(\*\nStyleBox[\")\",\nFontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\")\",\n\
FontColor->GrayLevel[0]]\)"}, {$CellContext`k$$ + 
            0.1 $CellContext`a$$, $CellContext`n[$CellContext`k$$] + \
$CellContext`a$$ (-0.1)}]}], 
        Graphics[{
          Text[
          "\!\(\*\nStyleBox[\"dy\",\nFontColor->RGBColor[0.6, 0.4, 0.2]]\)", \
{$CellContext`k$$ + 
            0.6 $CellContext`a$$, $CellContext`n[$CellContext`k$$] + (
              Derivative[
               1][$CellContext`n][$CellContext`k$$] ($CellContext`a$$/2)) 
             0.8}]}], 
        Graphics[{
          Text[
          "\!\(\*\nStyleBox[\"\[CapitalDelta]y\",\nFontColor->RGBColor[1, 0, \
0]]\)", {$CellContext`k$$ + 
            0.45 $CellContext`a$$, $CellContext`n[$CellContext`k$$] + \
($CellContext`n[$CellContext`k$$ + $CellContext`a$$/
                 2] - $CellContext`n[$CellContext`k$$])/2}]}], 
        Graphics[{
          Text[
          "\!\(\*\nStyleBox[\"\[CapitalDelta]x\",\nFontColor->RGBColor[0, 0, \
1]]\)", {$CellContext`k$$ + 
            0.3 $CellContext`a$$, $CellContext`n[$CellContext`k$$] + \
$CellContext`a$$ 0.05}]}], 
        Graphics[{Thick, Blue, 
          $CellContext`LineDeltax[$CellContext`n, $CellContext`k$$, \
$CellContext`a$$]}], 
        Graphics[{Thick, Brown, Dashed, 
          $CellContext`LineD[$CellContext`n, $CellContext`k$$, \
$CellContext`a$$]}]], 
      "Specifications" :> {{$CellContext`a$$, 3, 0}, {$CellContext`k$$, 0, 
         5}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {172., 177.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.5894090883512793`*^9, 3.589409211349074*^9, 
  3.5894092743255053`*^9, 3.5894093857421703`*^9, 3.589409483622395*^9, 
  3.589409559012191*^9, 3.589409611374145*^9, 3.589409697283719*^9, 
  3.589409752351852*^9, 3.58940978726296*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"n1", "[", "x_", "]"}], "=", 
   RowBox[{
    RowBox[{"3", 
     RowBox[{"x", "^", "4"}]}], " ", "+", " ", 
    RowBox[{"2", "x"}], " ", "+", " ", "1"}]}], ";", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"n1", "[", "x", "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"k", "-", "a"}], ",", 
          RowBox[{"k", "+", " ", "a"}]}], "}"}], ",", " ", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"n1", "[", "k", "]"}], "-", "a"}], ",", 
           RowBox[{
            RowBox[{"n1", "[", "k", "]"}], "+", " ", 
            RowBox[{"100", "a"}]}]}], "}"}]}], ",", " ", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
        RowBox[{"AxesOrigin", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"n1", "[", "k", "]"}]}], "}"}]}], ",", " ", 
        RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], ",", " ", 
      RowBox[{"Tangent", "[", 
       RowBox[{"n1", ",", "k", ",", 
        RowBox[{"60", "a"}]}], "]"}], ",", " ", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Red", ",", " ", 
         RowBox[{"LineDelta", "[", 
          RowBox[{"n1", ",", " ", "k", ",", " ", "a"}], "]"}]}], "}"}], "]"}],
       ",", " ", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"{", "\"\<\!\(\*
StyleBox[\"(\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"k\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\",\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\" \",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"n1\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"(\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"k\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\")\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\")\",
FontColor->GrayLevel[0]]\)\>\"", "}"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"k", "+", 
             RowBox[{
              RowBox[{"(", ".1", ")"}], "*", "a"}]}], ",", 
            RowBox[{
             RowBox[{"n1", "[", "k", "]"}], "+", 
             RowBox[{"a", "*", 
              RowBox[{"(", " ", 
               RowBox[{"-", ".1"}], ")"}]}]}]}], "}"}]}], "]"}], "}"}], "]"}],
       ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\!\(\*
StyleBox[\"dy\",
FontColor->RGBColor[0.6, 0.4, 0.2]]\)\>\"", ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"k", "+", 
             RowBox[{
              RowBox[{"(", ".6", ")"}], "*", "a"}]}], ",", 
            RowBox[{
             RowBox[{"n1", "[", "k", "]"}], "+", " ", 
             RowBox[{
              RowBox[{
               RowBox[{"n1", "'"}], "[", "k", "]"}], 
              RowBox[{"a", "/", "2"}], "*", 
              RowBox[{"(", " ", ".8", ")"}]}]}]}], "}"}]}], "]"}], "}"}], 
       "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\!\(\*
StyleBox[\"\[CapitalDelta]y\",
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"k", " ", "+", 
             RowBox[{
              RowBox[{"(", ".45", ")"}], "*", "a"}]}], ",", 
            RowBox[{
             RowBox[{"n1", "[", "k", "]"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"n1", "[", 
                 RowBox[{"k", "+", 
                  RowBox[{"a", "/", "2"}]}], "]"}], "-", 
                RowBox[{"n1", "[", "k", "]"}]}], ")"}], "/", "2"}]}]}], 
           "}"}]}], "]"}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\!\(\*
StyleBox[\"\[CapitalDelta]x\",
FontColor->RGBColor[0, 0, 1]]\)\>\"", ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"k", "+", 
             RowBox[{
              RowBox[{"(", ".30", ")"}], "*", "a"}]}], ",", 
            RowBox[{
             RowBox[{"n1", "[", "k", "]"}], "+", 
             RowBox[{"a", "*", 
              RowBox[{"(", " ", ".05", ")"}]}]}]}], "}"}]}], "]"}], "}"}], 
       "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Blue", ",", " ", 
         RowBox[{"LineDeltax", "[", 
          RowBox[{"n1", ",", " ", "k", ",", " ", "a"}], "]"}]}], "}"}], "]"}],
       ",", " ", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Brown", ",", "Dashed", ",", "  ", 
         RowBox[{"LineD", "[", 
          RowBox[{"n1", ",", " ", "k", ",", " ", "a"}], "]"}]}], "}"}], 
       "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", " ", "3", ",", " ", "0"}], "\[IndentingNewLine]", 
     "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"k", ",", " ", "0", ",", " ", "5"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5894100150761003`*^9, 3.589410114757018*^9}, {
  3.589410443214836*^9, 3.589410456124514*^9}, {3.589410631913679*^9, 
  3.58941065228826*^9}, {3.5894107039062138`*^9, 3.589410709583378*^9}, {
  3.589410772610425*^9, 3.589410794968289*^9}, {3.589410846326716*^9, 
  3.5894108668551064`*^9}, {3.58941095144431*^9, 3.5894110138126783`*^9}, {
  3.5894110491268167`*^9, 3.589411062244686*^9}, {3.5894114026058617`*^9, 
  3.589411402842182*^9}, {3.589411490277158*^9, 3.589411512227581*^9}, {
  3.589411569039824*^9, 3.589411606341264*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.08, $CellContext`k$$ = 2., 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`a$$], 3, 0}, {
      Hold[$CellContext`k$$], 0, 5}}, Typeset`size$$ = {360., {115., 119.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$468744$$ = 0, $CellContext`k$468745$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 3, $CellContext`k$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$468744$$, 0], 
        Hold[$CellContext`k$$, $CellContext`k$468745$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         $CellContext`n1[$CellContext`x], {$CellContext`x, $CellContext`k$$ - \
$CellContext`a$$, $CellContext`k$$ + $CellContext`a$$}, 
         PlotRange -> {$CellContext`n1[$CellContext`k$$] - $CellContext`a$$, \
$CellContext`n1[$CellContext`k$$] + 100 $CellContext`a$$}, Axes -> True, 
         AxesOrigin -> {$CellContext`k$$, 
           $CellContext`n1[$CellContext`k$$]}, PlotStyle -> Black], 
        $CellContext`Tangent[$CellContext`n1, $CellContext`k$$, 
         60 $CellContext`a$$], 
        Graphics[{Thick, Red, 
          $CellContext`LineDelta[$CellContext`n1, $CellContext`k$$, \
$CellContext`a$$]}], 
        Graphics[{
          
          Text[{"\!\(\*\nStyleBox[\"(\",\nFontColor->GrayLevel[0]]\)\!\(\*\n\
StyleBox[\"k\",\nFontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\",\",\n\
FontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\" \",\nFontColor->GrayLevel[0]]\)\
\!\(\*\nStyleBox[\"n1\",\nFontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\"(\",\n\
FontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\"k\",\nFontColor->GrayLevel[0]]\)\
\!\(\*\nStyleBox[\")\",\nFontColor->GrayLevel[0]]\)\!\(\*\nStyleBox[\")\",\n\
FontColor->GrayLevel[0]]\)"}, {$CellContext`k$$ + 
            0.1 $CellContext`a$$, $CellContext`n1[$CellContext`k$$] + \
$CellContext`a$$ (-0.1)}]}], 
        Graphics[{
          Text[
          "\!\(\*\nStyleBox[\"dy\",\nFontColor->RGBColor[0.6, 0.4, 0.2]]\)", \
{$CellContext`k$$ + 0.6 $CellContext`a$$, $CellContext`n1[$CellContext`k$$] + 
            Derivative[
              1][$CellContext`n1][$CellContext`k$$] ($CellContext`a$$/2) 
             0.8}]}], 
        Graphics[{
          Text[
          "\!\(\*\nStyleBox[\"\[CapitalDelta]y\",\nFontColor->RGBColor[1, 0, \
0]]\)", {$CellContext`k$$ + 
            0.45 $CellContext`a$$, $CellContext`n1[$CellContext`k$$] + \
($CellContext`n1[$CellContext`k$$ + $CellContext`a$$/
                 2] - $CellContext`n1[$CellContext`k$$])/2}]}], 
        Graphics[{
          Text[
          "\!\(\*\nStyleBox[\"\[CapitalDelta]x\",\nFontColor->RGBColor[0, 0, \
1]]\)", {$CellContext`k$$ + 
            0.3 $CellContext`a$$, $CellContext`n1[$CellContext`k$$] + \
$CellContext`a$$ 0.05}]}], 
        Graphics[{Thick, Blue, 
          $CellContext`LineDeltax[$CellContext`n1, $CellContext`k$$, \
$CellContext`a$$]}], 
        Graphics[{Thick, Brown, Dashed, 
          $CellContext`LineD[$CellContext`n1, $CellContext`k$$, \
$CellContext`a$$]}]], 
      "Specifications" :> {{$CellContext`a$$, 3, 0}, {$CellContext`k$$, 0, 
         5}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {200., 205.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.589410447401236*^9, 3.589410456945188*^9}, 
   3.589410557897031*^9, 3.5894107118439283`*^9, 3.589410795744484*^9, {
   3.5894108493562307`*^9, 3.589410867778803*^9}, {3.589410953273891*^9, 
   3.5894110151772757`*^9}, 3.589411064054707*^9, 3.589411404320682*^9, {
   3.589411494983658*^9, 3.589411513024007*^9}, {3.589411585479888*^9, 
   3.589411607488822*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"Pi", "/", "4"}], "]"}]], "Input",
 CellChangeTimes->{{3.589410368714541*^9, 3.58941037299297*^9}, {
  3.5894104071368856`*^9, 3.589410417650473*^9}}],

Cell[BoxData["0.7853981633974483`"], "Output",
 CellChangeTimes->{3.5894103735796537`*^9, 3.5894104212244062`*^9}]
}, Open  ]]
},
WindowSize->{740, 714},
WindowMargins->{{212, Automatic}, {Automatic, 29}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1463, 37, 63, "Input"],
Cell[CellGroupData[{
Cell[2045, 61, 1289, 33, 63, "Input"],
Cell[3337, 96, 2217, 44, 366, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5591, 145, 1244, 32, 63, "Input"],
Cell[6838, 179, 2190, 43, 358, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9065, 227, 1924, 44, 80, "Input"],
Cell[10992, 273, 2173, 43, 356, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13202, 321, 1396, 37, 80, "Input"],
Cell[14601, 360, 2248, 45, 366, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16886, 410, 1275, 35, 80, "Input"],
Cell[18164, 447, 2153, 43, 356, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20354, 495, 1334, 36, 80, "Input"],
Cell[21691, 533, 2147, 43, 366, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23875, 581, 1348, 37, 63, "Input"],
Cell[25226, 620, 1854, 38, 330, "Output"]
}, Open  ]],
Cell[27095, 661, 2448, 68, 97, "Input"],
Cell[CellGroupData[{
Cell[29568, 733, 6302, 162, 199, "Input"],
Cell[35873, 897, 4633, 91, 356, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40543, 993, 5424, 149, 199, "Input"],
Cell[45970, 1144, 4303, 87, 366, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50310, 1236, 5802, 156, 199, "Input"],
Cell[56115, 1394, 4450, 88, 456, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[60602, 1487, 194, 4, 28, "Input"],
Cell[60799, 1493, 114, 1, 28, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
